## Adding new features

This section includes advice on how to build new features for the project & what kind of process it includes. 

* This is how we like people to add new features:
* Here are some specifics on the coding style we prefer:
* This is how you send your pull request:
* You should include the following tests:
* These are the updates we hope you make to the changelog:

Don’t get discouraged! We estimate that the response time from the
maintainers is around:

# Bug triage

This section explains how bug triaging is done for your project. Help beginners by including examples to good bug reports and providing them questions they should look to answer. 

* You can help report bugs by filing them here: 
* You can look through the existing bugs here: 

* Look at existing bugs and help us understand if
** The bug is reproducible? Is it reproducible in other environments (browsers)? What are the steps to reproduce? 

* You can close fixed bugs by testing old tickets to see if they are
happening
* You can update our change log here
* You can remove duplicate bug reports

# Translations

This section includes any instructions or translation needs your project has. 

* You can help us translate our project here: 

# Documentation

This section includes any help you need with the documentation and where it can be found. Code needs explanation, and sometimes those who know the code well have trouble explaining it to someone just getting into it. 

* Help us with documentation here

# Community 
This section includes ideas on how non-developers can help with the project. Here's a few examples:

* You can help us answer questions our users have here: 
* You can help build and design our website here:
* You can help write blog posts about the project by: 
* You can help with newsletters and internal communications by: 

* Create an example of the project in real world by building something or
showing what others have built. 
* Write about other people’s projects based on this project. Show how
it’s used in daily life. Take screenshots and make videos!


# Your first bugfix
This section should help a person get started with their very first bug fix and thinking through the problem.

* If you have further questions, contact:

This contributing file template is from [contribute.md](http://contribute.md/).
